package com.main.module.ui

import android.content.Intent
import android.os.Bundle
import android.view.View
import android.widget.Toast
import com.alibaba.android.arouter.facade.annotation.Route
import com.alibaba.android.arouter.launcher.ARouter
import com.basic.base.BasicActivity
import com.basic.router.RouterConstants
import com.module.hikcreate.R

/**
 * author : taowang
 * date :2019/9/11
 * description:
 **/

@Route(path = RouterConstants.AppMain.MAIN_TEST)
open class AppDemoActivity : BasicActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.app_test)
        findViewById<View>(R.id.mBtnLogin).setOnClickListener {
            Toast.makeText(applicationContext,"test",Toast.LENGTH_LONG).show()
            ARouter.getInstance().build(RouterConstants.Credit.CREDIT_TEST).navigation()
        }
    }
}